Bug 874 - The python-pycuda package invalid dependency
: The python-pycuda package invalid dependency
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 13:28 MSD by Vladimir Potapov
Modified: 2012-11-14 13:55 MSK (History)
2 users (show)

See Also:
RPM Package: python-pycuda-2011.1.2-1-rosa.lts2012.0.i586
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
invalid (143.57 KB, image/png)
2012-10-08 13:28 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2012-10-08 13:28:37 MSD
Created attachment 643 [details]
invalid

Description of problem:
See screenshot
Comment 1 Denis Silakov 2012-10-08 14:08:54 MSD
python-pytools seem to be located in the contrib repository. Are you able to install python-pycuda with contrib enabled? If yes, then we should just move pytools to the main repo.
Comment 2 Vladimir Potapov 2012-10-09 12:01:21 MSD
Ok, I able install python-pycuda package with contrib enabled.
Comment 3 Denis Silakov 2012-10-09 12:06:23 MSD
Ok, then moving pytools to main.

Advisory:

Move python-pytools to the main repository in order to satisfy python-pycuda dependency.

Build lists:

https://abf.rosalinux.ru/build_lists/749357
https://abf.rosalinux.ru/build_lists/749358
Comment 4 Vladimir Potapov 2012-10-10 14:12:36 MSD
If the request to the QA is necessary to set the flag "qa_verified".
Comment 5 Vladimir Potapov 2012-10-12 09:02:09 MSD
Следующие пакеты невозможно выбрать:

- python-pycuda-2011.1.2-1-rosa.lts2012.0.x86_64 (из-за неудовлетворённости pythonegg(pytest)[>= 2])
Comment 6 Denis Silakov 2012-10-12 09:11:48 MSD
Hm, this is a little tricky - the subject of the bug (can't install python-pycude without contrib repo) will be resolved only when the package is published.

So I think we should publish the builds and then check that everything is ok.
Comment 7 Vladimir Potapov 2012-10-12 10:24:48 MSD
python-pytools-2011.4-2-rosa.lts2012.0
*************** Advisory **********************
Move python-pytools to the main repository in order to satisfy python-pycuda dependency.
***********************************************
QA Verified